import { Mixin } from 'ts-mixer';
import ItemFactory from '@react-microdata/item-factory';
import { MediaObjectFactory } from '@react-microdata/media-object';
class ImageObject extends Mixin(MediaObjectFactory, ItemFactory) {
    embeddedTextCaption({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "embeddedTextCaption", itemScope });
    }
    ;
    representativeOfPage({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "representativeOfPage", itemScope });
    }
    ;
    caption({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "caption", itemScope });
    }
    ;
    thumbnail({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "thumbnail", itemScope });
    }
    ;
    exifData({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "exifData", itemScope });
    }
    ;
}
const ImageObjectFactory = new ImageObject();
export { ImageObjectFactory };
export default ImageObject;
//# sourceMappingURL=ImageObjectFactory.js.map